Bug 926157 - mod_gnutls: Does not support aarch64 in f19 and rawhide
Summary: mod_gnutls: Does not support aarch64 in f19 and rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mod_gnutls
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Erick Calder
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2013-03-23 15:30 UTC by Dennis Gilmore
Modified: 2019-01-09 12:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-29 20:30:44 UTC


Attachments (Terms of Use)

Description Dennis Gilmore 2013-03-23 15:30:52 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  mod_gnutls appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/mod_gnutls/mod_gnutls-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Jiri Kastner 2013-03-25 10:15:43 UTC
autoreconf is called before configure,
created bug: https://sourceforge.net/apps/mantisbt/mod-gnutls/view.php?id=18

Comment 2 Jiri Kastner 2013-04-25 07:07:21 UTC
mod_gnutls site moved to mod.gnutls.org, new tracker is 
https://mod.gnutls.org/ticket/18


Note You need to log in before you can comment on or make changes to this bug.